Subject: Re: bug#22754: 25.1.50; Rmail does not follow RFC 2822

From: Eli Zaretskii <[email-masked]>
Date: Mon, 22 Feb 2016 21:23:22 +0200

> From: Glenn Morris <[email-masked]>
> Cc: Marcin Borkowski <[email-masked]>,  [email-masked]
> Date: Mon, 22 Feb 2016 13:14:53 -0500
> 
> Eli Zaretskii wrote:
> 
> >> From: Marcin Borkowski <[email-masked]>
> >> Date: Sun, 21 Feb 2016 11:28:27 +0100
> >> 
> >> Rmail inserts lower-case field names in the header, which goes against
> >> RFC 2822 (pp. 22 and 23, see
> >> https://tools.ietf.org/html/rfc2822#page-22).  It seems that the problem
> >> affects Cc: and In-reply-to: fields.
> >
> > I use Rmail all the time, and these headers are capitalized in my
> > reply messages.  So please provide a recipe starting from "emacs -Q",
> > there could be some other factor at work here.
> 
> I assume it was a theoretical analysis...
> 
> With sendmail-user-agent, mail-setup inserts "Cc" and "In-reply-to"
> directly (apparently the latter should be "In-Reply-To"?), ignoring the
> case passed via other-headers.
> 
> With message-user-agent, message-mail explicitly uses capitalize on all
> headers.

Yes, that's exactly what I saw.

> I suppose there's no guarantee that some other mail-user-agent won't use
> the headers as supplied, but perhaps that would be a bug in the
> user-agent?

If that's the problem, I think we can safely close this bug (perhaps
after fixing the "In-reply-to" letter-case).